<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: TTC_trigger Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">TTC_trigger Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TTC_trigger:</div>
<div class="dyncontent">
<div class="center"><img src="classTTC__trigger__inherit__graph.png" border="0" usemap="#TTC__trigger_inherit__map" alt="Inheritance graph"/></div>
<map name="TTC__trigger_inherit__map" id="TTC__trigger_inherit__map">
<area shape="rect" id="node2" href="classAMC__Link.html" title="AMC_Link" alt="" coords="11,80,96,107"/><area shape="rect" id="node3" href="classAMC__if.html" title="AMC_if" alt="" coords="20,155,87,181"/><area shape="rect" id="node4" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="8,229,99,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classTTC__trigger-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classTTC__trigger_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classTTC__trigger.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classTTC__trigger.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:aa477f7e4d4072c90d9a5991785506f27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa477f7e4d4072c90d9a5991785506f27"></a>
<a class="el" href="classTTC__trigger.html#aa477f7e4d4072c90d9a5991785506f27">simulation</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">false</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aae5de5c5aebf7b54ecd36feaba217215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5de5c5aebf7b54ecd36feaba217215"></a>
<a class="el" href="classTTC__trigger.html#aae5de5c5aebf7b54ecd36feaba217215">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae10c566b6ef21431284124fbcfd58cf5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae10c566b6ef21431284124fbcfd58cf5"></a>
<a class="el" href="classTTC__trigger.html#ae10c566b6ef21431284124fbcfd58cf5">UsrClk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9b666914c26a1d9628fbdf671599bac1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b666914c26a1d9628fbdf671599bac1"></a>
<a class="el" href="classTTC__trigger.html#a9b666914c26a1d9628fbdf671599bac1">TTCclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3dfacabe357c92c2436f0efcd54ff6a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3dfacabe357c92c2436f0efcd54ff6a7"></a>
<a class="el" href="classTTC__trigger.html#a3dfacabe357c92c2436f0efcd54ff6a7">HammingData_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">17</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b9a1c8db966c6c1c0829cb19b582723"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b9a1c8db966c6c1c0829cb19b582723"></a>
<a class="el" href="classTTC__trigger.html#a8b9a1c8db966c6c1c0829cb19b582723">HammingDataValid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37c3de449797eda9a34a1e7c9b021bba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37c3de449797eda9a34a1e7c9b021bba"></a>
<a class="el" href="classTTC__trigger.html#a37c3de449797eda9a34a1e7c9b021bba">BC0</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a045ba20dff67fdc23ddd5b5b7cfaa9d6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a045ba20dff67fdc23ddd5b5b7cfaa9d6"></a>
<a class="el" href="classTTC__trigger.html#a045ba20dff67fdc23ddd5b5b7cfaa9d6">BcntMm</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a51fc4fdb32b84999f56a2d4ad282fb46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51fc4fdb32b84999f56a2d4ad282fb46"></a>
<a class="el" href="classTTC__trigger.html#a51fc4fdb32b84999f56a2d4ad282fb46">TTC_lock</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0f5549c3b859ac6755c2825de8d90395"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f5549c3b859ac6755c2825de8d90395"></a>
<a class="el" href="classTTC__trigger.html#a0f5549c3b859ac6755c2825de8d90395">BC0_lock</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aade5ce8de28ddb8e804799ea6b0c9542"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aade5ce8de28ddb8e804799ea6b0c9542"></a>
<a class="el" href="classTTC__trigger.html#aade5ce8de28ddb8e804799ea6b0c9542">TrigData</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="TTC__trigger_8vhd_source.html#l00035">35</a> of file <a class="el" href="TTC__trigger_8vhd_source.html">TTC_trigger.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/AMC_if/<a class="el" href="TTC__trigger_8vhd_source.html">TTC_trigger.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
